## CamelIMAPXSearch CamelIMAPXSearch |

## Functions

CamelFolderSearch * | camel_imapx_search_new ()
CamelIMAPXStore * | camel_imapx_search_ref_store ()
void | camel_imapx_search_set_store ()
void | camel_imapx_search_clear_cached_results ()
void | camel_imapx_search_set_cancellable_and_error ()

## Properties

CamelIMAPXStore * | store | Read / Write

## Types and Values

struct | CamelIMAPXSearch

## Object Hierarchy

        GObject
        ╰── CamelFolderSearch
            ╰── CamelIMAPXSearch

## Description

## Functions

### camel_imapx_search_new ()

    CamelFolderSearch *
    camel_imapx_search_new (CamelIMAPXStore *imapx_store);

Returns a new CamelIMAPXSearch instance.

#### Parameters

imapx_store | a CamelIMAPXStore to which the search belongs |

#### Returns

a new CamelIMAPXSearch

Since: 3.8

### camel_imapx_search_ref_store ()

    CamelIMAPXStore *
    camel_imapx_search_ref_store (CamelIMAPXSearch *search);

Returns a CamelIMAPXStore to use for server-side searches, or `NULL` when the store is offline or when the current folder is synchronized for offline use.

The returned CamelIMAPXStore is referenced for thread-safety and must be unreferenced with `g_object_unref()` when finished with it.

#### Parameters

search | a CamelIMAPXSearch |

#### Returns

a CamelIMAPXStore, or `NULL`.

[nullable]

Since: 3.8

### camel_imapx_search_set_store ()

    void
    camel_imapx_search_set_store (CamelIMAPXSearch *search,
                                  CamelIMAPXStore *imapx_store);

Sets a CamelIMAPXStore to use for server-side searches. Generally this is set for the duration of a single search when online, and then reset to `NULL`.

#### Parameters

search | a CamelIMAPXSearch |
imapx_store | a CamelIMAPXStore, or `NULL`. | [nullable]

Since: 3.8

### camel_imapx_search_clear_cached_results ()

    void
    camel_imapx_search_clear_cached_results
                                   (CamelIMAPXSearch *search);

### camel_imapx_search_set_cancellable_and_error ()

    void
    camel_imapx_search_set_cancellable_and_error
                                   (CamelIMAPXSearch *search,
                                    GCancellable *cancellable,
                                    GError **error);

Sets `cancellable` and `error` to use for server-side searches. This way the search can return accurate errors and be eventually cancelled by a user.

Note: The caller is responsible to keep alive both `cancellable` and `error` for the whole run of the search and reset them both to NULL after the search is finished.

#### Parameters

search | a CamelIMAPXSearch |
cancellable | a GCancellable, or `NULL` |
error | a GError, or `NULL` |

Since: 3.16

## Types and Values

### struct CamelIMAPXSearch

    struct CamelIMAPXSearch;

Contains only private data that should be read and manipulated using the functions below.

Since: 3.8

## Property Details

### The `“store”` property

      “store”                    CamelIMAPXStore *

IMAPX Store for server-side searches.

Owner: CamelIMAPXSearch

Flags: Read / Write